SMF 2.1 RC4 Released

Started by lurkalot, Jul 10, 2021, 11:16 AM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

lurkalot


lesmond

Has Skhilled pointed out....

QuoteMajor changes:
Raises minimum PHP version to 5.6
Should be PHP7 minimum! :o

The only person who got all his work done by Friday was Robinson Crusoe

Bigguy

@lurkalot Thanks for posting that. I was waiting for it. Posted in Updates board for the release. :rgton

Oldiesmann

Quote from: lesmond on Jul 10, 2021, 11:43 AMHas Skhilled pointed out....
Should be PHP7 minimum! :o

There's nothing in 2.1 that won't work on 5.6, as old as that version is now. Unfortunately you can't guarantee that everyone will be using modern(ish) stuff. The minimum MySQL version is even worse - 5.0.22 (released way back in 2008)
Cincy Space - now open! https://www.cincyspace.net

Skhilled

I can certainly understand why they did it. Just saying that to me it pushes the envelope of security a bit far...especially in this day and age.